# class toToolWidget

Simple baseclass for widgets defining the main tool widget. More...

Definition | `#include <totool.h>`
Inherits | QVBox (qt) [public ], toHelpContext [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toToolWidget (toTool &tool, const QString &ctx, QWidget *parent, toConnection &conn, const char *name=NULL)
- ~toToolWidget ()
- toConnection & connection ()
- toTool & tool (void)
- virtual bool canHandle (toConnection &conn)
- void setConnection (toConnection &conn)
- toTimer * timer (void)

#### Signals

- void connectionChange (void)

## Detailed Description

Simple baseclass for widgets defining the main tool widget. It is in no way mandatory and all it does is register the widget in the connetion.

void connectionChange (void)

### connectionChange

[signal]

Emitted when the connection is changed.

toToolWidget (toTool &tool, const QString &ctx, QWidget *parent, toConnection &conn, const char *name=NULL)

### toToolWidget

Create widget.

Parameters:

ctx | Help context for this tool.
parent | Parent widget.
conn | Connection of widget.
name | Name of widget.

~toToolWidget ()

### ~toToolWidget

toConnection & connection ()

### connection

Get the current connection.

Returns: Reference to connection.

toTool & tool (void)

### tool

Get the tool for this tool widget.

Returns: Reference to a tool object.

bool canHandle (toConnection &conn)

### canHandle

[virtual]

Check if this tool can handle a specific connection.

Parameters:

provider | Name of connection.

Returns: True if connection is handled.

void setConnection (toConnection &conn)

### setConnection

Change connection of tool.

toTimer * timer (void)

### timer

Get timer of tool. Used by some results to get update time.

Returns: Pointer to a timer object.